[ubuntu/oneiric] cups 1.4.7-1 (Accepted)

Martin Pitt martin.pitt at ubuntu.com
Thu Jul 14 13:15:21 UTC 2011


cups (1.4.7-1) unstable; urgency=low

  * New upstream version.

  [ Till Kamppeter ]
  * debian/patches/ubuntu-upstart.dpatch: Updated the patch to add support
    to the new device enumeration functionality of udev-configure-printer.
    This way we do not need to retrigger the printers. Retriggering is only
    needed if udev rules change. A fallback to the old bahavior is provided
    so that this CUPS package continues to work with older versions of
    udev-configure-printer.

  [ Martin Pitt ]
  * Update patches for new upstream release.
  * Drop fix-broken-ipv6-uris.patch, applied upstream.
  * debian/local/apparmor-profile: /var/run → /run transition. (LP: #810270)
  * Drop debian/patches/ubuntu-upstart.dpatch and move the upstart script to
    debian/local/cups.upstart. In debian/rules, copy it to debian/, and remove
    that again during clean. This is a slightly easier workaround for a
    nonexisting "dh_installinit --sysvinit-only" option than the previous
    creation of the upstart file with an ubuntu specific dpatch.
  * debian/patches/, debian/rules, debian/control, debian/source/format: Move
    to source format "3.0 (quilt)" and convert our dpatches to quilt patches.
    Drop dpatch build dependency.
  * Move Ubuntu specific patches to debian/patches/ubuntu. In debian/rules,
    apply them when building on Ubuntu. Add "patch" build dependency.

Date: Thu, 14 Jul 2011 15:02:36 +0200
Changed-By: Martin Pitt <martin.pitt at ubuntu.com>
Maintainer: Debian CUPS Maintainers <pkg-cups-devel at lists.alioth.debian.org>
Origin: debian/unstable
https://launchpad.net/ubuntu/oneiric/+source/cups/1.4.7-1
-------------- next part --------------
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Origin: debian/unstable
Format: 1.8
Date: Thu, 14 Jul 2011 15:02:36 +0200
Source: cups
Binary: libcups2 libcupsimage2 libcupscgi1 libcupsdriver1 libcupsmime1 libcupsppdc1 cups cups-client libcups2-dev libcupsimage2-dev libcupscgi1-dev libcupsdriver1-dev libcupsmime1-dev libcupsppdc1-dev cups-bsd cups-common cups-ppdc cups-dbg cupsddk
Architecture: source
Version: 1.4.7-1
Distribution: oneiric
Urgency: low
Maintainer: Debian CUPS Maintainers <pkg-cups-devel at lists.alioth.debian.org>
Changed-By: Martin Pitt <martin.pitt at ubuntu.com>
Description: 
 cups       - Common UNIX Printing System(tm) - server
 cups-bsd   - Common UNIX Printing System(tm) - BSD commands
 cups-client - Common UNIX Printing System(tm) - client programs (SysV)
 cups-common - Common UNIX Printing System(tm) - common files
 cups-dbg   - Common UNIX Printing System(tm) - debugging symbols
 cups-ppdc  - Common UNIX Printing System(tm) - PPD manipulation utilities
 cupsddk    - Common UNIX Printing System (transitional package)
 libcups2   - Common UNIX Printing System(tm) - Core library
 libcups2-dev - Common UNIX Printing System(tm) - Development files CUPS library
 libcupscgi1 - Common UNIX Printing System(tm) - CGI library
 libcupscgi1-dev - Common UNIX Printing System(tm) - Development files for CGI libra
 libcupsdriver1 - Common UNIX Printing System(tm) - Driver library
 libcupsdriver1-dev - Common UNIX Printing System(tm) - Development files driver librar
 libcupsimage2 - Common UNIX Printing System(tm) - Raster image library
 libcupsimage2-dev - Common UNIX Printing System(tm) - Development files CUPS image li
 libcupsmime1 - Common UNIX Printing System(tm) - MIME library
 libcupsmime1-dev - Common UNIX Printing System(tm) - Development files MIME library
 libcupsppdc1 - Common UNIX Printing System(tm) - PPD manipulation library
 libcupsppdc1-dev - Common UNIX Printing System(tm) - Development files PPD library
Launchpad-Bugs-Fixed: 810270
Changes: 
 cups (1.4.7-1) unstable; urgency=low
 .
   * New upstream version.
 .
   [ Till Kamppeter ]
   * debian/patches/ubuntu-upstart.dpatch: Updated the patch to add support
     to the new device enumeration functionality of udev-configure-printer.
     This way we do not need to retrigger the printers. Retriggering is only
     needed if udev rules change. A fallback to the old bahavior is provided
     so that this CUPS package continues to work with older versions of
     udev-configure-printer.
 .
   [ Martin Pitt ]
   * Update patches for new upstream release.
   * Drop fix-broken-ipv6-uris.patch, applied upstream.
   * debian/local/apparmor-profile: /var/run → /run transition. (LP: #810270)
   * Drop debian/patches/ubuntu-upstart.dpatch and move the upstart script to
     debian/local/cups.upstart. In debian/rules, copy it to debian/, and remove
     that again during clean. This is a slightly easier workaround for a
     nonexisting "dh_installinit --sysvinit-only" option than the previous
     creation of the upstart file with an ubuntu specific dpatch.
   * debian/patches/, debian/rules, debian/control, debian/source/format: Move
     to source format "3.0 (quilt)" and convert our dpatches to quilt patches.
     Drop dpatch build dependency.
   * Move Ubuntu specific patches to debian/patches/ubuntu. In debian/rules,
     apply them when building on Ubuntu. Add "patch" build dependency.
Checksums-Sha1: 
 da76565470e47bd7eb02682ec0c466573cc508ab 2747 cups_1.4.7-1.dsc
 0be0230712caab877e4c5714f0b4fecdce2972cc 5447835 cups_1.4.7.orig.tar.gz
 6cb1224589ef1224793fb40a361876e830b32651 526656 cups_1.4.7-1.debian.tar.gz
Checksums-Sha256: 
 b67c156d3a327e9863f3d07a38a12b84af7f8e3e859f2231cb8332696468f755 2747 cups_1.4.7-1.dsc
 bb66bcaf7b28ae8989d91935a68bb7edd772c5a0c9d54af7bcf3792525588d05 5447835 cups_1.4.7.orig.tar.gz
 64b69e708860dbd32ba0f4e6c9a5e2f7f692fdbfa328da7f9a756018afbf029d 526656 cups_1.4.7-1.debian.tar.gz
Files: 
 46e966abca6a4290af94517cfa14b1af 2747 net optional cups_1.4.7-1.dsc
 3f733f16e8f901d4c8b5f2972e7a659e 5447835 net optional cups_1.4.7.orig.tar.gz
 b717f7f29296399efa50bcde287274f7 526656 net optional cups_1.4.7-1.debian.tar.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOHurJAAoJEPmIJawmtHufcWcP/3nHAF6mXAfeeP64t55KD+XC
gbXhgWW7C1vxseghlAGg/utveNTkvK1pgyLn8Btobs6pUJuMXNeFo5CD26DT0Y2r
fOHfXDoaOyGcxasE+kLjsh6imc+75/9isuEf0OBxE9/6wANVSG7CY+a0LNsVhdcN
pXpqoKhDlt9PqrKi/LSfCD+h1RM5VNknDyMt6dX63puwBP070pbfrlWGuM1Ze5QS
kbeJeXqbQ5g7ArsI01VqkgqrZIG8AAQKIIUExPSYUXG8/X+O0vv/iObP6xJ251NH
k7F6rjyhU0ATGASJGjzO6CMCK9mSyN3XewX3nM+uNslPudOXYEEm3+9HPaq+JMy+
hVOY9o2sKU1LXvg3pxuWwTAJF91AxHZu1aztOXBkFIBo07spnXfnlyIw1xoJ/z1s
fAwN3fP2N9QzhKbR7REBS6TXaO5oXfeSiGvfD2toWXLUXzJcVm7fimDlhfku5os9
PsPVSP9df83NqrMsg70uSjJ4Ql3YrdZEz+J/wqUaLHPuH4CCWPwyMZyYJ61LsRQX
aMlfgJyeMiSJz04/E1gKXyjWb4jGz4QcVKGfBjG0k4TXr8uKDQ9d+dNd8xjLJvyx
hb5rF2GvK4vnGuhMVhPEPY7fu0Q0z3ynKYL4qEOViKzaSWGPB8GRiBUreIrvDiQT
wdnD2wY5QkZJ84DdLidR
=4qxu
-----END PGP SIGNATURE-----


More information about the Oneiric-changes mailing list